Subject: Re: [PATCH] d80211: get rid of the WME bitfield

From: Johannes Berg <[email-masked]>
Date: Tue, 15 Aug 2006 09:11:02 +0200

Jouni Malinen wrote:
> I think that this is always 16-bit aligned in the current
> implementation, but I would be a bit careful with this type of change
> here. This can be done easily with u8 since the qos_control field has 8
> bits of used data and 8 bits of reserved field. My change was handling
> this as two separate 8-bit values, so no issues with potential unaligned
> accesses.
>   
Good point, I forgot about that. Never mind this patch then, if I get to 
it I'll make a new one.

johannes